This page describes  additional software and infrastructure you'll need to run WebSpellChecker Server. We recommend familiarizing with it before installing WebSpellChecker Server.

The information on this page applies to WebSpellChecker Server 5.5.0 and higher.

  • Use WebSpellChecker Server only with a supported platform. Any platforms and versions not listed on this page are unsupported, which means we don't test, fix bugs or provide assistance on any issues that may occur. 
  • We recommend visiting our blog to see if there are any End of Support Announcements for upcoming changes to supported platforms.

Ensure you have read the WebSpellChecker Server System Requirements, since not all the platforms listed below may be required for your specific WebSpellChecker setup.

Software Prerequisites

WebSpellChecker Server package requires the following software:

  1. One of the supported operating systems installed on a dedicated server or virtual machine;
  2. Web or Java Application server to serve static files;
  3. JRE or JDK with JVM installed to enable the grammar engine;
  4. One of the supported browsers for correct display of WebSpellChecker package products integrated in your web application.

Supported Platforms and Environments


Supported platform(s)Supported version(s)Notes
Operating systemsWindows Server
  • Windows Server 2008
  • Windows Server 2008 R2
  • Windows Server 2012
  • Windows Server 2012 R2
  • Windows Server 2016
  • Windows Server 2019
Supported OS with a 64-bit architecture only.
Linux Distributives
  • Ubuntu Server with LTS 12.04+
  • CentOS 6.0+
  • Red Hat Enterprise Linux (RHEL) 6.0+
Cloud Computing PlatformsAmazon Web Services (AWS)

Microsoft Azure

Google Cloud Platform

Web serversInternet Information Services (IIS)7.0+
Apache HTTP Server2.2+
Nginx1.15+
Application serversApache Tomcat7.0+
Oracle WebLogic Server11g (10.3.6), 12c (12.2.1+)
Oracle GlassFish Server

OpenJDK11.0+
Java Runtime Environment (JRE) or Java Development Kit (JDK) with Java Virtual Machine (JVM)Windows1.8+

Java 8 or higher is required.

WebSpellChecker AppServer will try to automatically detect Java Virtual Machine (JVM). If you prefer to set up or change a path to JVM manually, refer to the Enabling Grammar Engine guide.

Linux1.8+

Supported Browsers


All browsers listed in table below support the web pages working in Standard Mode.


Supported browser(s)Supported version(s)Notes
Web browsersChrome

The latest stable version


Microsoft Internet Explorer (IE)

9.0, 10.0, 11.0

The Compatibility View mode in IEs is not supported.

Microsoft Edge12.0+

The Compatibility View mode in IEs is not supported.

Mozilla Firefox

The latest stable version 


Safari

The latest stable version on Mac OS X only


Mobile and Tablet browsersChrome for AndroidThe latest stable version 
iOS SafariThe latest stable version 

For hardware installation requirements of the self-hosted version of WebSpellChecker Server, please refer to this section

  • No labels